class MessageBoxSList {
	int? code;
	String? msg;
	List<Data>? data;

	MessageBoxSList({this.code, this.msg, this.data});

	MessageBoxSList.fromJson(Map<String, dynamic> json) {
		code = json['code'];
		msg = json['msg'];
		if (json['data'] != null) {
			data = <Data>[];
			json['data'].forEach((v) {
				data!.add(new Data.fromJson(v));
			});
		}
	}

	Map<String, dynamic> toJson() {
		final Map<String, dynamic> data = new Map<String, dynamic>();
		data['code'] = this.code;
		data['msg'] = this.msg;
		if (this.data != null) {
			data['data'] = this.data!.map((v) => v.toJson()).toList();
		}
		return data;
	}
}

class Data {
	String? id;
	String? describeNode;
	String? projectNo;
	String? projectName;
	String? plantformId;
	Null? plantformName;
	String? job;
	String? loginName;
	String? createTime;
	String? type;
	String? status;
	Null? processType;
	String? directionalUrl;
	String? moduleType;

	Data(
			{this.id,
				this.describeNode,
				this.projectNo,
				this.projectName,
				this.plantformId,
				this.plantformName,
				this.job,
				this.loginName,
				this.createTime,
				this.type,
				this.status,
				this.processType,
				this.directionalUrl,
				this.moduleType});

	Data.fromJson(Map<String, dynamic> json) {
		id = json['id'];
		describeNode = json['describeNode'];
		projectNo = json['projectNo'];
		projectName = json['projectName'];
		plantformId = json['plantformId'];
		plantformName = json['plantformName'];
		job = json['job'];
		loginName = json['loginName'];
		createTime = json['createTime'];
		type = json['type'];
		status = json['status'];
		processType = json['processType'];
		directionalUrl = json['directionalUrl'];
		moduleType = json['moduleType'];
	}

	Map<String, dynamic> toJson() {
		final Map<String, dynamic> data = new Map<String, dynamic>();
		data['id'] = this.id;
		data['describeNode'] = this.describeNode;
		data['projectNo'] = this.projectNo;
		data['projectName'] = this.projectName;
		data['plantformId'] = this.plantformId;
		data['plantformName'] = this.plantformName;
		data['job'] = this.job;
		data['loginName'] = this.loginName;
		data['createTime'] = this.createTime;
		data['type'] = this.type;
		data['status'] = this.status;
		data['processType'] = this.processType;
		data['directionalUrl'] = this.directionalUrl;
		data['moduleType'] = this.moduleType;
		return data;
	}
}
